android - targetsdkversion作用 - targetsdkversion compilesdkversion



降级Android SDK(api 23-> api 21) (1)

3步骤:

1编辑build.grade

apply plugin: 'com.android.application'

android {
    compileSdkVersion 23
    buildToolsVersion "23.0.1"

    defaultConfig {
        applicationId "com.stackoverflow.answer"
        minSdkVersion 16
        targetSdkVersion 21
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    }
}

dependencies {
    androidTestCompile 'junit:junit:4.12'
    compile fileTree(dir: 'libs', include: ['*.jar'])
}

2同步gradle按钮

3重建项目

由于SDK API 23(Marshmallow)中的权限问题,我想切换回API 21,但是我遇到了一些问题...我已经阅读了许多类似问题的帖子,试过(几乎我猜) :我已经更新了所有SDK Build / Platform Tools,API 21,Suport和Repository Libraries的功能。 然后我清理了这个项目,重建了它并同步了。 但是,我得到这些错误:

我的build.gradle如下所示:

apply plugin: 'com.android.application'

android {
    compileSdkVersion 21
    buildToolsVersion "21.1.2"
    defaultConfig {
        applicationId "com.example.pablo.appcontacts"
        minSdkVersion 19
        targetSdkVersion 21
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    productFlavors {
    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    testCompile 'junit:junit:4.12'
    compile 'com.jakewharton:butterknife:7.0.1'
    compile 'com.android.support:appcompat-v7:23.1.1'
}

我不是很熟悉这个,有谁能帮我解决这个问题,我真的找不到一个方法..?





sdk